Name:		strigi
Version:	0.5.1
Release:	5%{?dist}
Summary:	A desktop search program for KDE
Group:		Applications/Productivity
License:	LGPL
URL:		http://www.vandenoever.info/software/strigi
Source0:	http://www.vandenoever.info/software/strigi/strigi-%{version}.tar.bz2
Source1:	strigiclient.desktop
Source2:	strigi-daemon.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	cmake >= 2.4.5
BuildRequires:	clucene-core-devel qt4-devel dbus-devel
BuildRequires:	libxml2-devel bzip2-devel zlib-devel
BuildRequires:	cppunit-devel
BuildRequires:	desktop-file-utils

%description
Strigi is a fast and light desktop search engine. It can handle a large range
of file formats such as emails, office documents, media files, and file
archives. It can index files that are embedded in other files. This means email
attachments and files in zip files are searchable as if they were normal files
on your harddisk.

Strigi is normally run as a background daemon that can be accessed by many
other programs at once. In addition to the daemon, Strigi comes with powerful
replacements for the popular unix commands 'find' and 'grep'. These are called
'deepfind' and 'deepgrep' and can search inside files just like the strigi
daemon can.

%package	devel
Summary:	Development files for the strigi desktop search engine
Group:		Development/Libraries
Requires:	%name-libs = %version-%release
Requires:	pkgconfig

%description	devel
Development files for the strigi desktop search engine

%package	libs
Summary:	Strigi libraries
Group:		Development/Libraries

%description	libs
Strigi search engine libraries

%prep
%setup -q

%build
mkdir fedora
cd fedora
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
export FFLAGS="%{optflags}"
%ifarch x86_64 ppc64
%define lib_suffix 64
%else
%define lib_suffix %{nil}
%endif
cmake	-DCMAKE_INSTALL_PREFIX=%{_prefix}	\
	-DLIB_DESTINATION=lib%{lib_suffix}	\
	-DLIB_SUFFIX=%{lib_suffix}		\
	-DENABLE_INOTIFY:BOOL=ON -DENABLE_DBUS:BOOL=ON ..
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf %{buildroot}
cd fedora
make DESTDIR=%{buildroot} install

desktop-file-install					\
	--vendor="fedora"				\
	--dir=%{buildroot}%{_datadir}/applications	\
	%{SOURCE1}

# Add an autostart desktop file for the strigi daemon
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cp -pr %{SOURCE2} %{buildroot}%{_sysconfdir}/xdg/autostart/

find %{buildroot}%{_libdir} -type f -name "*.so*" -exec chmod 755 {} ';'

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/*
%{_datadir}/applications/*strigiclient.desktop
%{_sysconfdir}/xdg/autostart/strigi-daemon.desktop
%{_datadir}/strigi/

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/pkgconfig/libstream*.pc
%{_includedir}/strigi/

%files libs
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%{_libdir}/strigi/

%changelog
* Wed May 16 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.1-5
- Split out a strigi-libs subpackage as suggested in BZ#223586
_ Include a strigidaemon autostart desktop file

* Sat May 05 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.1-4
- Add dbus-devel BR.

* Sat May 05 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.1-3
- Misc. fixes from package review

* Fri May 04 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.1-2
- Updates from reviews:
-	Have the -devel subpackage require pkgconfig
-	Add a versioned dependency on cmake and remove dbus-qt buildrequire

* Fri May 04 2007 Deji Akingunola <dakingun@gmail.com> - 0.5.1-1
- New release

* Wed May 02 2007 Deji Akingunola <dakingun@gmail.com> - 0.3.11-3
- Allow building on FC6

* Thu Feb 22 2007 Deji Akingunola <dakingun@gmail.com> - 0.3.11-2
- Assorted fixed arising from reviews

* Wed Jan 17 2007 Deji Akingunola <dakingun@gmail.com> - 0.3.11-1
- Initial packaging for Fedora Extras
